import request from '@/utils/request'

export function getSDGSAT1Info() {
  return request({
    url: '/portal/sdgsat1/info',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getSDGSAT1Specs() {
  return request({
    url: '/portal/sdgsat1/specs',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getInstrumentList() {
  return request({
    url: '/portal/sdgsat1/instruments',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getApplicationAreaList() {
  return request({
    url: '/portal/sdgsat1/applications',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getDataServiceInfo() {
  return request({
    url: '/portal/sdgsat1/data-service',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getAchievementList() {
  return request({
    url: '/portal/sdgsat1/achievements',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getIntroduction() {
  return request({
    url: '/sdgsat1/introduction',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getCaseList() {
  return request({
    url: '/sdgsat1/case/list',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getCaseDetail(id) {
  return request({
    url: `/sdgsat1/case/${id}`,
    method: 'get',
    headers: {
      isToken: false
    }
  })
}
